package com.chinaitop.depot.intelligent.fumigation.model;

import java.util.Date;

public class TFumigationAfter {
    private String id;

    private Integer houseId;

    private String fumigationId;

    private String samplingCultureTemperature;

    private String samplingCultureHumidity;

    private Integer samplingCultureMonthSurvival;

    private String killInsectRate;

    private Date checkInsectCageTime;

    private String insectCageKillRate;

    private String effectAnalysis;

    private Integer creater;

    private Date createTime;

    private Date updateTime;

    private Integer orgId;

    private Date czsjzysj;

    private Integer czsjzyrs;

    private String czsjff;

    private String czsjzypzr;

    private String czclcs;

    private Integer czclzyrs;

    private String czclpzr;

    private String xzhhcjcqk;

    private Integer xzhckmd;

    private Integer pyswthhcs;

    private Integer pysswthhcs;

    private String xzxgpj;

    private String deleteState;

    private Date updatetime;

    /**
     * 熏蒸善后表（主键）
     * @return id 熏蒸善后表（主键）
     */
    public String getId() {
        return id;
    }

    /**
     * 熏蒸善后表（主键）
     * @param id 熏蒸善后表（主键）
     */
    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    /**
     * 仓房名称
     * @return house_id 仓房名称
     */
    public Integer getHouseId() {
        return houseId;
    }

    /**
     * 仓房名称
     * @param houseId 仓房名称
     */
    public void setHouseId(Integer houseId) {
        this.houseId = houseId;
    }

    /**
     * 熏蒸方案id
     * @return fumigation_id 熏蒸方案id
     */
    public String getFumigationId() {
        return fumigationId;
    }

    /**
     * 熏蒸方案id
     * @param fumigationId 熏蒸方案id
     */
    public void setFumigationId(String fumigationId) {
        this.fumigationId = fumigationId == null ? null : fumigationId.trim();
    }

    /**
     * 取样培养温度
     * @return sampling_culture_temperature 取样培养温度
     */
    public String getSamplingCultureTemperature() {
        return samplingCultureTemperature;
    }

    /**
     * 取样培养温度
     * @param samplingCultureTemperature 取样培养温度
     */
    public void setSamplingCultureTemperature(String samplingCultureTemperature) {
        this.samplingCultureTemperature = samplingCultureTemperature == null ? null : samplingCultureTemperature.trim();
    }

    /**
     * 取样培养湿度
     * @return sampling_culture_humidity 取样培养湿度
     */
    public String getSamplingCultureHumidity() {
        return samplingCultureHumidity;
    }

    /**
     * 取样培养湿度
     * @param samplingCultureHumidity 取样培养湿度
     */
    public void setSamplingCultureHumidity(String samplingCultureHumidity) {
        this.samplingCultureHumidity = samplingCultureHumidity == null ? null : samplingCultureHumidity.trim();
    }

    /**
     * 取样培养30天后活虫数
     * @return sampling_culture_month_survival 取样培养30天后活虫数
     */
    public Integer getSamplingCultureMonthSurvival() {
        return samplingCultureMonthSurvival;
    }

    /**
     * 取样培养30天后活虫数
     * @param samplingCultureMonthSurvival 取样培养30天后活虫数
     */
    public void setSamplingCultureMonthSurvival(Integer samplingCultureMonthSurvival) {
        this.samplingCultureMonthSurvival = samplingCultureMonthSurvival;
    }

    /**
     * 粮堆杀虫效果或杀虫率
     * @return kill_insect_rate 粮堆杀虫效果或杀虫率
     */
    public String getKillInsectRate() {
        return killInsectRate;
    }

    /**
     * 粮堆杀虫效果或杀虫率
     * @param killInsectRate 粮堆杀虫效果或杀虫率
     */
    public void setKillInsectRate(String killInsectRate) {
        this.killInsectRate = killInsectRate == null ? null : killInsectRate.trim();
    }

    /**
     * 检查虫笼时间
     * @return check_insect_cage_time 检查虫笼时间
     */
    public Date getCheckInsectCageTime() {
        return checkInsectCageTime;
    }

    /**
     * 检查虫笼时间
     * @param checkInsectCageTime 检查虫笼时间
     */
    public void setCheckInsectCageTime(Date checkInsectCageTime) {
        this.checkInsectCageTime = checkInsectCageTime;
    }

    /**
     * 虫笼害虫死亡率(%)
     * @return insect_cage_kill_rate 虫笼害虫死亡率(%)
     */
    public String getInsectCageKillRate() {
        return insectCageKillRate;
    }

    /**
     * 虫笼害虫死亡率(%)
     * @param insectCageKillRate 虫笼害虫死亡率(%)
     */
    public void setInsectCageKillRate(String insectCageKillRate) {
        this.insectCageKillRate = insectCageKillRate == null ? null : insectCageKillRate.trim();
    }

    /**
     * 效果分析
     * @return effect_analysis 效果分析
     */
    public String getEffectAnalysis() {
        return effectAnalysis;
    }

    /**
     * 效果分析
     * @param effectAnalysis 效果分析
     */
    public void setEffectAnalysis(String effectAnalysis) {
        this.effectAnalysis = effectAnalysis == null ? null : effectAnalysis.trim();
    }

    /**
     * 创建人
     * @return creater 创建人
     */
    public Integer getCreater() {
        return creater;
    }

    /**
     * 创建人
     * @param creater 创建人
     */
    public void setCreater(Integer creater) {
        this.creater = creater;
    }

    /**
     * 创建日期
     * @return create_time 创建日期
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * 创建日期
     * @param createTime 创建日期
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 
     * @return update_time 
     */
    public Date getUpdateTime() {
        return updateTime;
    }

    /**
     * 
     * @param updateTime 
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 
     * @return org_id 
     */
    public Integer getOrgId() {
        return orgId;
    }

    /**
     * 
     * @param orgId 
     */
    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    /**
     * 残渣收集作业时间
     * @return czsjzysj 残渣收集作业时间
     */
    public Date getCzsjzysj() {
        return czsjzysj;
    }

    /**
     * 残渣收集作业时间
     * @param czsjzysj 残渣收集作业时间
     */
    public void setCzsjzysj(Date czsjzysj) {
        this.czsjzysj = czsjzysj;
    }

    /**
     * 残渣收集作业人数
     * @return czsjzyrs 残渣收集作业人数
     */
    public Integer getCzsjzyrs() {
        return czsjzyrs;
    }

    /**
     * 残渣收集作业人数
     * @param czsjzyrs 残渣收集作业人数
     */
    public void setCzsjzyrs(Integer czsjzyrs) {
        this.czsjzyrs = czsjzyrs;
    }

    /**
     * 残渣收集方法
     * @return czsjff 残渣收集方法
     */
    public String getCzsjff() {
        return czsjff;
    }

    /**
     * 残渣收集方法
     * @param czsjff 残渣收集方法
     */
    public void setCzsjff(String czsjff) {
        this.czsjff = czsjff == null ? null : czsjff.trim();
    }

    /**
     * 残渣收集作业批准人
     * @return czsjzypzr 残渣收集作业批准人
     */
    public String getCzsjzypzr() {
        return czsjzypzr;
    }

    /**
     * 残渣收集作业批准人
     * @param czsjzypzr 残渣收集作业批准人
     */
    public void setCzsjzypzr(String czsjzypzr) {
        this.czsjzypzr = czsjzypzr == null ? null : czsjzypzr.trim();
    }

    /**
     * 残渣处理措施
     * @return czclcs 残渣处理措施
     */
    public String getCzclcs() {
        return czclcs;
    }

    /**
     * 残渣处理措施
     * @param czclcs 残渣处理措施
     */
    public void setCzclcs(String czclcs) {
        this.czclcs = czclcs == null ? null : czclcs.trim();
    }

    /**
     * 残渣处理作业人数
     * @return czclzyrs 残渣处理作业人数
     */
    public Integer getCzclzyrs() {
        return czclzyrs;
    }

    /**
     * 残渣处理作业人数
     * @param czclzyrs 残渣处理作业人数
     */
    public void setCzclzyrs(Integer czclzyrs) {
        this.czclzyrs = czclzyrs;
    }

    /**
     * 残渣处理批准人
     * @return czclpzr 残渣处理批准人
     */
    public String getCzclpzr() {
        return czclpzr;
    }

    /**
     * 残渣处理批准人
     * @param czclpzr 残渣处理批准人
     */
    public void setCzclpzr(String czclpzr) {
        this.czclpzr = czclpzr == null ? null : czclpzr.trim();
    }

    /**
     * 熏蒸后活虫检出情况
     * @return xzhhcjcqk 熏蒸后活虫检出情况
     */
    public String getXzhhcjcqk() {
        return xzhhcjcqk;
    }

    /**
     * 熏蒸后活虫检出情况
     * @param xzhhcjcqk 熏蒸后活虫检出情况
     */
    public void setXzhhcjcqk(String xzhhcjcqk) {
        this.xzhhcjcqk = xzhhcjcqk == null ? null : xzhhcjcqk.trim();
    }

    /**
     * 熏蒸后虫口密度
     * @return xzhckmd 熏蒸后虫口密度
     */
    public Integer getXzhckmd() {
        return xzhckmd;
    }

    /**
     * 熏蒸后虫口密度
     * @param xzhckmd 熏蒸后虫口密度
     */
    public void setXzhckmd(Integer xzhckmd) {
        this.xzhckmd = xzhckmd;
    }

    /**
     * 培养15天后活虫数
     * @return pyswthhcs 培养15天后活虫数
     */
    public Integer getPyswthhcs() {
        return pyswthhcs;
    }

    /**
     * 培养15天后活虫数
     * @param pyswthhcs 培养15天后活虫数
     */
    public void setPyswthhcs(Integer pyswthhcs) {
        this.pyswthhcs = pyswthhcs;
    }

    /**
     * 培养45天后活虫数
     * @return pysswthhcs 培养45天后活虫数
     */
    public Integer getPysswthhcs() {
        return pysswthhcs;
    }

    /**
     * 培养45天后活虫数
     * @param pysswthhcs 培养45天后活虫数
     */
    public void setPysswthhcs(Integer pysswthhcs) {
        this.pysswthhcs = pysswthhcs;
    }

    /**
     * 熏蒸效果评价
     * @return xzxgpj 熏蒸效果评价
     */
    public String getXzxgpj() {
        return xzxgpj;
    }

    /**
     * 熏蒸效果评价
     * @param xzxgpj 熏蒸效果评价
     */
    public void setXzxgpj(String xzxgpj) {
        this.xzxgpj = xzxgpj == null ? null : xzxgpj.trim();
    }

    /**
     * 删除标志，0是删除，1是未删除
     * @return delete_state 删除标志，0是删除，1是未删除
     */
    public String getDeleteState() {
        return deleteState;
    }

    /**
     * 删除标志，0是删除，1是未删除
     * @param deleteState 删除标志，0是删除，1是未删除
     */
    public void setDeleteState(String deleteState) {
        this.deleteState = deleteState == null ? null : deleteState.trim();
    }

    /**
     * 
     * @return updatetime 
     */
    public Date getUpdatetime() {
        return updatetime;
    }

    /**
     * 
     * @param updatetime 
     */
    public void setUpdatetime(Date updatetime) {
        this.updatetime = updatetime;
    }
}